oka-lists:
    default_max_per_page: 10      # Nombre d'éléments par page par défaut
    default_type: paginate        # paginate/lazy définit le mode de chargement des données par défaut
    default_sort_mode: mono            # mono/multi définit le mode de tri par défaut
    default_list_mode: table            # table/cards définit le mode d'affichage par défaut
    default_extra_class: ""         # Directives CSS à gérer avec le parent
    default_body_extra_class: ""         # Directives CSS à gérer avec le body
    default_controller: null        # controller stimulus à rajouter par défaut à la table
    default_action: null            # action stimulus à rajouter par défaut à la table
    default_line_controller: null   # controller stimulus à rajouter par défaut à chaque ligne du tableau
    default_line_action: null       # action stimulus à rajouter par défaut à chaque ligne du tableau
    default_filters_render: true   # true/false définit si les filtres sont affichés par défaut
    # default_export_type: null       # définit le type d'export des listes qui sera utilisé lorsque le bouton sera affiché
    # default_template:
    #   parent: 
    #   cell:         # template du template de la cellule. Un paramètre (le type de donnée) est passé à ce template permettant l'ajout de %s pour le remplacer
    #           # Il peut être juste une chaîne de caractère pour un template générique qui sera utilisé pour toute les colonnes
    #           # Cela peut aussi être un tableau où les index sont l'identifiant des colonnes et la valeur le template utilisé. Si une colonne est pas renseigné, il prendra l'index "default".
    #   body: 
    #   head: 
    #   head_cell: 
    #   card:         # Template obligatoire à renseigner en cas de list_mode: cards
    lists_config:
        materiel_list:
            max_per_page: 10
            column:
                # - {id: "id", display: "Id"}
                - {id: "nom", display: "Nom"}
                - {id: "categorieMateriel.nom", display: "Catégorie"}
        tag_list:
            max_per_page: 10
            column:
                # - {id: "id", display: "Id"}
                - {id: "nom", display: "Nom"}
                - {id: "categorieTag.nom", display: "Catégorie"}
        classification_list:
            max_per_page: 200
            column:
                # - {id: "id", display: "Id"}
                - {id: "lvl", display: "Niveau", align: "-left", }
                - {id: "nom", display: "Nom", align: "-left", }
        exercice_list:
            max_per_page: 12
            list_mode: cards
            extra_class: 'grid-320'
            template:
                card: "exercice/card_case/list-card.html.twig"
            column:
                - {id: "id", display: "Id"}
                - {id: "nom", display: "Nom"}
                - {id: "c0.id", display: "Classification niveau 1"}
                - {id: "c1.id", display: "Classification niveau 2"}
                - {id: "c2.id", display: "Classification niveau 3"}
                - {id: "c3.id", display: "Classification niveau 4"}
                - {id: "visuel", display: "visuel"}
                - {id: "tags", display: "#Tag"}
                - {id: "video", display: "Video"}
                - {id: "isFavori", display: "Favori"}
        clubs_list:
            max_per_page: 12
            list_mode: cards
            extra_class: 'grid-320'
            template:
                card: "club/card_case/list-card.html.twig"
            column: 
                - { id: "nom", display: "Nom"}
                - { id: "logo", display: "Logo"}
                - { id: "couleurMaillot", display: "Couleur maillot"}
                - { id: "statut", display: "Statut"}
                - { id: "championnat.nom", display: "Championnat"}
        gardiens_list:
            max_per_page: 12
            list_mode: cards
            extra_class: 'grid-320'
            template:
                card: "gardien/card_case/list-card.html.twig"
            column: 
                - { id: "nom", display: "Nom"}
                - { id: "prenom", display: "Prenom"}
                - { id: "bornedAt", display: "Date Naissance"}
                - { id: "statut", display: "Statut"}
                - { id: "club.nom", display: "club"}
        stades_list:
            max_per_page: 12
            column: 
                - { id: "nom", display: "Nom"}
                - { id: "club.nom", display: "club"}
            virtual_column:
                - { 
                    id: "action", 
                    template: "stade/action.html.twig",
                    display: "Action",
                    place: -1
                }
        saisons_list:
            max_per_page: 10
            column:
                - { id: "nom", display: "Nom"}
            virtual_column: 
                - {
                    id: "action",
                    template: "saison/action.html.twig",
                    display: "Action",
                    place: -1
                }
        seance_list:
            max_per_page: 20
            list_mode: cards
            extra_class: 'grid-320'
            template:
                card: "seance/card_case/list-card.html.twig"
            column:
                - {id: "Id", display: "Id"}
                - {id: "typeEvenement", display: "Type evenement"}

        exerciceActif_list:
            max_per_page: 12
            list_mode: cards
            extra_class: 'grid-160 '
            template:
                card: "seance/card_case/list-card.html.twig"
            column:
                - {id: "id", display: "Id"}
                - {id: "nom", display: "Nom"}
                - {id: "c0.id", display: "Classification niveau 1"}
                - {id: "c1.id", display: "Classification niveau 2"}
                - {id: "c2.id", display: "Classification niveau 3"}
                - {id: "c3.id", display: "Classification niveau 4"}
                - {id: "visuel", display: "visuel"}
                - {id: "tags", display: "#Tag"}
